# Generated from wirble-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gemname wirble
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary:       Handful of common Irb features, made easy
Name:          rubygem-%{gemname}
Version:       0.1.3
Release:       3.1%{?dist}
License:       MIT and LGPLv2

URL:           http://pablotron.org/software/wirble/
Source0:       http://rubygems.org/gems/%{gemname}-%{version}.gem

BuildArch:     noarch

BuildRequires: rubygems

Requires:      ruby(abi) = %{rubyabi}
Requires:      ruby(rubygems)


%description
Handful of common Irb features, made easy.


%package doc
Summary:   Documentation for %{name}
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch


%description doc
Documentation for %{name}


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n %{gemname}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gemname}.gemspec

# apply any patches here


%build
gem build %{gemname}.gemspec

gem install --local \
            --install-dir .%{gemdir} \
            --force \
            --rdoc \
            %{SOURCE0}


%install
mkdir -p %{buildroot}%{gemdir}
cp -a ./%{gemdir}/* %{buildroot}%{gemdir}/


%files
%dir %{geminstdir}
%doc %{geminstdir}/_irbrc
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc %{geminstdir}/COPYING
%doc %{geminstdir}/ChangeLog
%doc %{geminstdir}/README


%files doc
%{geminstdir}/Rakefile
%{geminstdir}/setup.rb
%{geminstdir}/wirble.gemspec
%doc %{gemdir}/doc/%{gemname}-%{version}


%changelog
* Wed Dec 26 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.1.3-3.1
- Updated the specfile to reflect current Ruby packaging guidelines.

* Thu Dec 22 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.1.3-3
- First official build for Fedora.

* Wed Dec 21 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.1.3-2
- Changed the license from LPGv2 to MIT and LGPLv2.
- Removed the unused ruby_sitelib macro. 
- Moved Rakefile, setup.rb and wirble.gemspec to -doc.
- Marked _irbrc as %doc

* Tue Nov 08 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.1.3-1
- Initial package
